Skip to main content
POST
Send a CAPI test event

Authorizations

Authorization
string
header
required

JWT token obtained from /api/auth/token endpoint. Token is verified using JWKS and must include a valid user identifier.

Path Parameters

projectId
string<uuid>
required

The project id.

Example:

"123e4567-e89b-12d3-a456-426614174000"

Body

application/json
eventName
enum<string>

Event name to simulate. Defaults to Lead.

Available options:
Lead,
Purchase,
CompleteRegistration,
AddToCart,
InitiateCheckout,
PageView,
ViewContent,
Subscribe,
Qualified,
Schedule,
Contact,
Showed,
NoShow,
Disqualified
testEventCode
string

Events Manager test-event code.

Example:

"TEST12345"

Response

Test event sent

eventId
string
required
eventName
enum<string>
required
Available options:
Lead,
Purchase,
CompleteRegistration,
AddToCart,
InitiateCheckout,
PageView,
ViewContent,
Subscribe,
Qualified,
Schedule,
Contact,
Showed,
NoShow,
Disqualified